Subject: bug#58928: 29.0.50; overlays in org-mode are disrupted after call `org-capture`

From: Matt Armstrong <[email-masked]>
Date: Tue, 01 Nov 2022 19:49:44 -0700

Stefan Monnier <[email-masked]> writes:

>> I don't know, but my guess is that the indirect buffer thing is already
>> a good starting point for Stefan/Matt.
>
> Indeed.  I believe it is now fixed.  Please confirm,

Fix confirmed on my end.

This bug made me realize indirect buffers have another failure mode,
which turned out to be a bug.  Because this bug seems to exist prior to
the noverlay work (i.e. it fails in Emacs 27 too) I filed it as a
separate bug:

bug#58958: Acknowledgement (29.0.50; overlays fail to evaporate across
indirect buffers)